org.springframework.expression.spel

## Class SpelParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.expression.ExpressionException
        - - org.springframework.expression.ParseException
          - - org.springframework.expression.spel.SpelParseException

All Implemented Interfaces:
  Serializable

    public class SpelParseException
    extends ParseException

Root exception for Spring EL related exceptions. Rather than holding a hard coded string indicating the problem, it records a message key and the inserts for the message. See `SpelMessage` for the list of all possible messages that can occur.

Since:
  3.0
Author:
  Andy Clement
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.springframework.expression.ExpressionException

`expressionString, position`

### Constructor Summary

Constructors
Constructor and Description
`SpelParseException(int position, SpelMessage message, Object... inserts)`
`SpelParseException(int position, Throwable cause, SpelMessage message, Object... inserts)`
`SpelParseException(String expressionString, int position, SpelMessage message, Object... inserts)`

### Method Summary

Methods
`Object[]` `getInserts()`
`String` `getMessage()`
`SpelMessage` `getMessageCode()`

### Methods inherited from class org.springframework.expression.ExpressionException

`getExpressionString, getPosition, toDetailedString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpelParseException

    public SpelParseException(String expressionString,
                      int position,
                      SpelMessage message,
                      Object... inserts)

#### SpelParseException

    public SpelParseException(int position,
                      SpelMessage message,
                      Object... inserts)

#### SpelParseException

    public SpelParseException(int position,
                      Throwable cause,
                      SpelMessage message,
                      Object... inserts)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`
Returns:
  a formatted message with inserts applied

#### getMessageCode

    public SpelMessage getMessageCode()

Returns:
  the message code

#### getInserts

    public Object[] getInserts()

Returns:
  the message inserts